<!--
SPDX-FileCopyrightText: © 2020 Open Networking Foundation <support@opennetworking.org>
SPDX-License-Identifier: Apache-2.0
--!>
# php

PHP with FastCGI

This role is primarly designed for installing PHP support for use with the
NGINX webserver. It will run PHP in FastCGI Process Manager (FPM) mode.

For a virtualhost to have PHP enabled, set `php: true` in the vhost block. See
the `nginx` role documentation for more details.

The PHP installed comes from the Debian maintainer's backports repo
[deb.sury.org](https://deb.sury.org/), for Debian/Ubuntu OS variants.

## Example Playbook

```yaml
- hosts: all
  roles:
    - php
    - nginx
```

## License and Author

© 2020 Open Networking Foundation <support@opennetworking.org>

License: Apache-2.0
